API referenceNetworkingGateways
Create a gateway
Requires the gateways:update permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/gateways" \ -H "Content-Type: application/json" \ -d '{ "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405" }'{ "created_at": "2019-08-24T14:15:22Z", "egress_ips": { "property1": "string", "property2": "string" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "public_ip": "string", "status": "string", "tags": { "property1": "string", "property2": "string" }, "updated_at": "2019-08-24T14:15:22Z", "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"}